#pragma once

#include "Slot.h"

class CSlotTransaction
{
public:
	CSlotTransaction( CSlot & slot ): m_slot(slot)
	{
		m_slot.BeginTransaction();
	};
	~CSlotTransaction(void)
	{
		m_slot.EndTransaction();
	};
private:
	CSlot &	m_slot;
};
